
Core - Task # 55186

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54266 (New): As an User I want FAL to be performant
Task # 54225 (Resolved): Optimize Performance and DB Queries for FAL

Status: Resolved Priority: Must have
Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2014-01-20 Assigned To: Steffen Ritter
Updated: 2014-01-31 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Prevent Storages to be queried over and over again
Description

The Backend as well as the frontend queries for storages many times.

There are most times not many storages within the system.

The idea is, to create all storages objects at once as soon as the first one is requested and store them in memory...
Therefore many queries may be omitted.

Related issues:
related to Core - Bug # 56400: Finding a storage by storage type fails Resolved 2014-02-27
precedes Core - Bug # 55992: StorageRepository fails to load storages if new ... Resolved 2014-02-14

Associated revisions
Revision 3e8eacec - 2014-01-31 14:12 - Steffen Ritter

[TASK] Optimize retrieval of Storages

Analysing the SQL logs shows that there are very much queries to the
sys_file_storage even though the information is quite static. Since
there in general there are not much storages - in most cases it only
will be fileadmin/.

This change will get all storage records from database with one call
and cache this in a runtime cache. Afterwards all requests are resolved
by the static member variable of the StorageRepository. If no storage
is present the default storage is created

Resolves: #55186
Releases: 6.2
Change-Id: I066b57215ba39f7cad608cfe5e83a0f3508b2c62
Reviewed-on: https://review.typo3.org/27025
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Stefan Froemken
Tested-by: Stefan Froemken
Reviewed-by: Sebastian Fischer
Tested-by: Sebastian Fischer
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History
#1 - 2014-01-23 16:12 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27025

#2 - 2014-01-30 14:53 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27025

#3 - 2014-01-30 16:04 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27025

#4 - 2014-01-31 12:07 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27025

#5 - 2014-01-31 13:06 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27025

#6 - 2014-01-31 14:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3e8eacecc31f4d82dda609a94812da55e96da54c.
